diff --git a/doc/src/sgml/xoper.sgml b/doc/src/sgml/xoper.sgml
index 2f5560ac50..2c68b1f747 100644
--- a/doc/src/sgml/xoper.sgml
+++ b/doc/src/sgml/xoper.sgml
@@ -1,80 +1,5 @@
 <!-- doc/src/sgml/xoper.sgml -->
 
- <sect1 id="xoper">
-  <title>User-defined Operators</title>
-
-  <indexterm zone="xoper">
-   <primary>operator</primary>
-   <secondary>user-defined</secondary>
-  </indexterm>
-
-  <para>
-   Every operator is <quote>syntactic sugar</quote> for a call to an
-   underlying function that does the real work; so you must
-   first create the underlying function before you can create
-   the operator.  However, an operator is <emphasis>not merely</emphasis>
-   syntactic sugar, because it carries additional information
-   that helps the query planner optimize queries that use the
-   operator.  The next section will be devoted to explaining
-   that additional information.
-  </para>
-
-  <para>
-   <productname>PostgreSQL</productname> supports left unary, right
-   unary, and binary operators.  Operators can be
-   overloaded;<indexterm><primary>overloading</primary><secondary>operators</secondary></indexterm>
-   that is, the same operator name can be used for different operators
-   that have different numbers and types of operands.  When a query is
-   executed, the system determines the operator to call from the
-   number and types of the provided operands.
-  </para>
-
-  <para>
-   Here is an example of creating an operator for adding two complex
-   numbers.  We assume we've already created the definition of type
-   <type>complex</type> (see <xref linkend="xtypes"/>).  First we need a
-   function that does the work, then we can define the operator:
-
-<programlisting>
-CREATE FUNCTION complex_add(complex, complex)
-    RETURNS complex
-    AS '<replaceable>filename</replaceable>', 'complex_add'
-    LANGUAGE C IMMUTABLE STRICT;
-
-CREATE OPERATOR + (
-    leftarg = complex,
-    rightarg = complex,
-    function = complex_add,
-    commutator = +
-);
-</programlisting>
-  </para>
-
-  <para>
-   Now we could execute a query like this:
-
-<screen>
-SELECT (a + b) AS c FROM test_complex;
-
-        c
------------------
- (5.2,6.05)
- (133.42,144.95)
-</screen>
-  </para>
-
-  <para>
-   We've shown how to create a binary operator here.  To create unary
-   operators, just omit one of <literal>leftarg</literal> (for left unary) or
-   <literal>rightarg</literal> (for right unary).  The <literal>function</literal>
-   clause and the argument clauses are the only required items in
-   <command>CREATE OPERATOR</command>.  The <literal>commutator</literal>
-   clause shown in the example is an optional hint to the query
-   optimizer.  Further details about <literal>commutator</literal> and other
-   optimizer hints appear in the next section.
-  </para>
- </sect1>
-
   <sect1 id="xoper-optimization">
    <title>Operator Optimization Information</title>
 
